import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { moduleMetadata } from '@storybook/angular';
import { ChatComponent } from './chat.component';
import { MaterialModule } from 'src/app/material.module';
import { ChatItemComponent } from './component/chat-item.component';

export default {
  title: 'ChatComponent',
  component: ChatComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, MaterialModule],
      providers: [],
      declarations: [ChatItemComponent]
    })
  ]
};

export const Page = () => ({
  component: ChatComponent
});
