import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { moduleMetadata } from '@storybook/angular';
import { LoadingComponent } from './loading.component';
import { MaterialModule } from 'src/app/material.module';

export default {
  title: '99_Common/LoadingComponent',
  component: LoadingComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, MaterialModule],
      providers: []
    })
  ]
};

export const Page = () => ({
  component: LoadingComponent
});
