import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { moduleMetadata } from '@storybook/angular';
import { GroupComponent } from './group.component';
import { MaterialModule } from 'src/app/material.module';
import { UserItemComponent } from './component/user-item.component';

export default {
  title: 'GroupComponent',
  component: GroupComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, MaterialModule],
      providers: [],
      declarations: [UserItemComponent]
    })
  ]
};

export const Page = () => ({
  component: GroupComponent
});
