import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { moduleMetadata } from '@storybook/angular';
import { CallComponent } from './call.component';
import { MaterialModule } from 'src/app/material.module';

export default {
  title: 'CallComponent',
  component: CallComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, MaterialModule],
      providers: []
    })
  ]
};

export const Page = () => ({
  component: CallComponent
});
