import { Component, OnInit, ViewChild } from '@angular/core';
import { MatDrawer } from '@angular/material/sidenav';

@Component({
  selector: 'app-organization',
  templateUrl: './organization.component.html',
  styleUrls: ['./organization.component.scss']
})
export class OrganizationComponent implements OnInit {
  @ViewChild('rightSideDrawer', { static: true })
  rightDrawer: MatDrawer;

  searchItemList: any[] = [{ itemName: '전체' }, { itemName: '부서' }];

  showLeftDrawer = true;
  constructor() {}

  ngOnInit(): void {}

  onClickToggle(event: MouseEvent) {
    event.stopPropagation();
    if (!!this.rightDrawer) {
      if (!this.showLeftDrawer) {
        this.rightDrawer.open().then(() => {
          this.showLeftDrawer = true;
        });
      } else {
        this.rightDrawer.close().then(() => {
          this.showLeftDrawer = false;
        });
      }
    }
  }
  onChange(event: MouseEvent) {
    event.stopPropagation();
  }
}
